package com.winhc.fast.query.configuration;

import com.github.jaemon.dinger.support.CustomMessage;
import com.winhc.tool.nlp.CompanyNameAnalyzer;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.io.IOException;

import static com.github.jaemon.dinger.constant.DingerConstant.MARKDOWN_MESSAGE;

/**
 * @author: XuJiakai
 * 2022/6/9 15:11
 */
@Configuration
public class ProjectConfiguration {
    @Bean(MARKDOWN_MESSAGE)
    public CustomMessage markDownMessage() {
        return new WinhcDingTalkMessage();
    }

    @Bean
    public CompanyNameAnalyzer companyNameAnalyzer() throws IOException {
        CompanyNameAnalyzer companyNameAnalyzer = new CompanyNameAnalyzer();
        return companyNameAnalyzer;
    }
}
